Bug 433677 - nfsroot: mkinitrd causes init scripts to fail and hang the system on reboot
Summary: nfsroot: mkinitrd causes init scripts to fail and hang the system on reboot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 8
Hardware: other
OS: All
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL: ARRAY(0x8bcb70)
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-20 19:56 UTC by IBM Bug Proxy
Modified: 2009-01-09 06:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:02:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 42533 None None None Never

Description IBM Bug Proxy 2008-02-20 19:56:32 UTC
=Comment: #0=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-20 03:56 EDT
I sent two emails to Peter Jones and I haven't received any answer right now.

For nfsroot on our diskless Cell based blades we have to create a initrd with
nfsroot support. To get the dhcp root-path option working we have to add "dhcp"
to the list of mount options for the root filesystem to create an appropriate
initial ramdisk.

Example:
10.0.0.1:/nfsroot/10.0.0.2    /    nfs   tcp,nolock 1 1
to
10.0.0.1:/nfsroot/10.0.0.2    /    nfs   tcp,nolock,dhcp 1 1

Setting the mount option "dhcp" in /etc/fstab causes the network script to fail
as "dhcp" isn't a supported mount option. 

Remounting root filesystem in read-write mode:  Unsupported nfs mount option:
dhcp [FAILED]

And as a consequence /etc/mtab doesn't contain the mounted root filesystem. The
reboot will then fail as it tries to shutdown the network interface on an NFS
root filesystem! 

One workaround is to create a separate fstab with "dhcp" mount option. Then we
pass this fstab as an argument to mkinitrd like: mkinitrd --fstab=myfstab ...

Another workaround would have been to pass the option by using --rootopts . This
isn't possible because of this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=356371

Comment 1 IBM Bug Proxy 2008-02-20 20:16:27 UTC
------- Comment From joseferr@br.ibm.com 2008-02-20 15:08 EDT-------
Our intent with this bug is to find a better solution on how dhcp root-option
and mkinitrd work.

mkinitrd will check /etc/fstab, in order to identify the special needs of a NFS
root mount. But, letting the "dhcp" option in that file will create an
incompactibility with mount and the network scripts. And, IMHO, isn't the
appropriate place for it to be.

Maybe, a better approach would be to use an extra argument to mkinitrd?

Thank you,

Jose Ferreira.

Comment 2 Bug Zapper 2008-11-26 09:53:17 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:02:05 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.